org.apache.cassandra.cql3.selection

## Class Selectable.WithFunction

- java.lang.Object
- - org.apache.cassandra.cql3.selection.Selectable
  - - org.apache.cassandra.cql3.selection.Selectable.WithFunction

- Enclosing class:
    Selectable

      public static class Selectable.WithFunction
      extends Selectable

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Selectable.WithFunction.Raw`

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.cql3.selection.Selectable

      `Selectable.WithFieldSelection, Selectable.WithFunction, Selectable.WritetimeOrTTL`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.List<Selectable>` | `args`
    `FunctionName` | `functionName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WithFunction(FunctionName functionName, java.util.List<Selectable> args)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Selector.Factory` | `newSelectorFactory(CFMetaData cfm, java.util.List<ColumnDefinition> defs)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.apache.cassandra.cql3.selection.Selectable

      `addAndGetIndex`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### functionName

          public final FunctionName functionName

    - #### args

          public final java.util.List<Selectable> args

  - ### Constructor Detail

    - #### WithFunction

          public WithFunction(FunctionName functionName,
                              java.util.List<Selectable> args)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### newSelectorFactory

          public Selector.Factory newSelectorFactory(CFMetaData cfm,
                                                     java.util.List<ColumnDefinition> defs)
                                              throws InvalidRequestException

      Specified by:
        `newSelectorFactory` in class `Selectable`
      Throws:
        `InvalidRequestException`

Copyright © 2018 The Apache Software Foundation